Functions
Output Formats
kvlclib

## Functions
KvlcStatus | kvlcGetFirstWriterFormat (int *format)
KvlcStatus | kvlcGetNextWriterFormat (int currentFormat, int *nextFormat)
KvlcStatus | kvlcGetFirstReaderFormat (int *format)
KvlcStatus | kvlcGetNextReaderFormat (int currentFormat, int *nextFormat)
KvlcStatus | kvlcGetReaderName (int format, char *str, unsigned int len)
KvlcStatus | kvlcGetReaderExtension (int format, char *str, unsigned int len)
KvlcStatus | kvlcGetReaderDescription (int format, char *str, unsigned int len)
KvlcStatus | kvlcGetWriterName (int format, char *str, unsigned int len)
KvlcStatus | kvlcGetWriterExtension (int format, char *str, unsigned int len)
KvlcStatus | kvlcGetWriterDescription (int format, char *str, unsigned int len)
KvlcStatus | kvlcIsPropertySupported (int format, unsigned int property, int *supported)

## Detailed Description

## Function Documentation

## ◆ kvlcGetFirstReaderFormat()

KvlcStatus kvlcGetFirstReaderFormat | ( | int * | format | ) |

Get the first supported input format.

Parameters

  [out] | format | First input format.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetNextReaderFormat()

## ◆ kvlcGetFirstWriterFormat()

KvlcStatus kvlcGetFirstWriterFormat | ( | int * | format | ) |

Get the first supported output format.

Parameters

  [out] | format | First output format.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetNextWriterFormat()

## ◆ kvlcGetNextReaderFormat()

KvlcStatus kvlcGetNextReaderFormat | ( | int | currentFormat,
|  | int * | nextFormat
| ) |  |

Get the next supported input format.

Parameters

  [out] | currentFormat | Current input format.
  [out] | nextFormat | Next input format. Zero if no more formats are to be found.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstReaderFormat()

## ◆ kvlcGetNextWriterFormat()

KvlcStatus kvlcGetNextWriterFormat | ( | int | currentFormat,
|  | int * | nextFormat
| ) |  |

Get the next supported output format.

Parameters

  [out] | currentFormat | Current output format.
  [out] | nextFormat | Next output format. Zero if no more formats are to be found.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstWriterFormat()

## ◆ kvlcGetReaderDescription()

KvlcStatus kvlcGetReaderDescription | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter file description.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive description, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstReaderFormat()

## ◆ kvlcGetReaderExtension()

KvlcStatus kvlcGetReaderExtension | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter file extension.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive extension, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstReaderFormat()

## ◆ kvlcGetReaderName()

KvlcStatus kvlcGetReaderName | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter name.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive name, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstReaderFormat()

## ◆ kvlcGetWriterDescription()

KvlcStatus kvlcGetWriterDescription | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter file description.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive description, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstWriterFormat()

## ◆ kvlcGetWriterExtension()

KvlcStatus kvlcGetWriterExtension | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter file extension.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive extension, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstWriterFormat()

## ◆ kvlcGetWriterName()

KvlcStatus kvlcGetWriterName | ( | int | format,
|  | char * | str,
|  | unsigned int | len
| ) |  |

Get output converter name.

Parameters

  [in] | format | Output format.
  [out] | str | Buffer to receive name, a pointer to a `NULL` terminated array of chars.
  [in] | len | Buffer size in bytes.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstWriterFormat()

## ◆ kvlcIsPropertySupported()

KvlcStatus kvlcIsPropertySupported | ( | int | format,
|  | unsigned int | property,
|  | int * | supported
| ) |  |

Check if property is supported by output format.

Parameters

  [in] | format | Output format, use FILE_FORMAT_xxx.
  [out] | property | Property, use PROPERTY_xxx.
  [in] | supported | Not zero if format supports property.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcGetFirstWriterFormat()